<?php

function imprimirPlanilla($periodo,$a_con_ingresos,$a_con_descuentos,$a_con_aportes,$a_con_otros,$a_con_header,$o_Colaborador,$a_planilla_Col_valor){
	
		
	ob_start();	 ?>
	
<table width="100%">
	<tr>
		<td width="20%"><img src="/images/common/logo_alfa_small.png"></td>
		<td align="left">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;BOLETA DE PAGO - [<?=$periodo;?>]</td>
	 </tr>
	 <tr>
	 	<td colspan="2">&nbsp;</td>
	 </tr>
</table>
<table border="0">
	<tr>
		<td width="20%">Empresa: </td>
		<td width="30%"><?=$a_planilla_Col_valor[$o_Colaborador['IdColaborador']]['[N.COMPANIA]']?></td>
		<td width="20%">RUC: </td>
		<td width="30%"><?=$a_planilla_Col_valor[$o_Colaborador['IdColaborador']]['[N.RUC]']?></td>
	 </tr>
	 
	
	 
	  <tr>
		<td width="20%">Nombre Completo: </td>
		<td width="30%"><?=$o_Colaborador['NombreCompleto']?></td>
		<td width="20%">DNI:</td>
		<td width="20%"><?=$o_Colaborador['DNI']?></td>
	 </tr>
	  <tr>
		<td width="20%">Tipo de Trabajador: </td>
		<td width="30%"><?
		$o_Colaborador['idRol'];
		$o_RoleBean = new RolBean();
		$o_RoleBean->setRolId($o_Colaborador['idRol']);
		$o_RoleDP = new RolDP($o_RoleBean);
		$o_Role = $o_RoleDP->selectByPk();
		echo $o_Role->getDescripcion();
		?></td>
		<td width="20%">Email</td>
		<td width="30%">: <?=$o_Colaborador['Email']?></td>
	 </tr>
	  <tr>
	    <td width="20%">Regimen Laboral: </td>
		<td width="30%">ESPECIAL REMYPE</td>
		<td width="20%"> Fecha de Ingreso</td>
		<td width="30%"><?=$o_Colaborador['FechaIngreso']?></td>
	 </tr>
	 
</table>
<table  border="1"  cellspacing="0" cellpadding="10">
				<tr>
					<td align="center">Dias laborados</td>
					<td align="center">Dias no laborados</td>
					<td align="center">Dias subsidiados</td>
					<td align="center">Horas normales</td>
					<td align="center">Horas en sobretiempo</td>
				</tr>
				<tr>
				<?php $faltas = $a_planilla_Col_valor[$o_Colaborador['IdColaborador']]['[NRO_FALT]']?>
					<td align="center"><?=(30-$faltas);?></td>
					<td align="center"><?=$faltas?></td>
					<td align="center">0</td>
					<td align="center"><?=(30-$faltas)*8;?></td>
					<td align="center">0</td>
				</tr>
			</table>

<table width="100%" border="1" cellspacing="0" cellpadding="15">
	
	  <tr>
		
		<td align="center">Ingresos </td>
		<td align="center">Descuentos </td>
      </tr>
      <tr>
				
      		<td valign="top">
	      		<table width="100%">
			 		<?php
			 		reset($a_con_ingresos);
			 		foreach ($a_con_ingresos as $key =>$o_con_ingresos){?>
			 			<tr>
			 				<td><?=$o_con_ingresos->getDescripcionBoleta()?></td>
			 				<td align="right" ><?php 
			 				
			 					$monto = $a_planilla_Col_valor[$o_Colaborador['IdColaborador']][$o_con_ingresos->getCodigo()];
			 					echo number_format($monto,2);
			 					$montoSubtotalI +=$monto; 
			 				?></td>
			 			</tr>
			 		<?}?>
			 		
		 		</table>
			</td>
			<td>
	      		<table width="100%">
			 		<?foreach ($a_con_descuentos as $key =>$o_con_descuentos){?>
			 			<tr>
			 				<td><?=$o_con_descuentos->getDescripcionBoleta()?></td>
			 				<td align="right"><?php 
			 				
			 					$monto = $a_planilla_Col_valor[$o_Colaborador['IdColaborador']][$o_con_descuentos->getCodigo()];
					 			echo number_format($monto,2);
					 			$montoSubtotalD -=$monto;
			 				?></td>
			 			</tr>
			 		<?}?>
		 		</table>
			</td>
			 	
      </tr>
      <tr>
			<td  align="right">S/. <?=number_format($montoSubtotalI,2)?></td>
			<td  align="right">S/. <?=number_format((-1)*$montoSubtotalD,2)?></td>
      </tr>
      <tr>
			<td  align="right" colspan="2"><b>NETO&nbsp;&nbsp;&nbsp;&nbsp;</b> S/. <?=number_format($montoSubtotalI+$montoSubtotalD,2)?></td>
      </tr>
</table>
<table width="100%" border="1"  cellspacing="0" cellpadding="15">
	<tr>
		<td colspan="2">Aporte (S/.)</td>
	</tr>
	<?php foreach ($a_con_aportes as $key =>$o_con_aportes){
		$monto = $a_planilla_Col_valor[$o_Colaborador['IdColaborador']][$o_con_aportes->getCodigo()];
		if($monto>0 ){?>
		<tr>
			<td width="70%"><?=$o_con_aportes->getDescripcionBoleta()?></td>
			<td width="30%" align="right"><?php 
				
 				echo number_format($monto,2);
			?></td>
		</tr>
		<?php 
		}
	}?>
</table>
<table width="100%">
	<tr>
		<td height="200">&nbsp;</td>
	</tr>
	 <tr>
			<td align="center" width="50%">______________________</td>
			<td align="center" width="50%">______________________</td>
      </tr>
      <tr>
			<td align="center" width="50%">Firma Representante</td>
			<td align="center" width="50%">Firma Colaborador</td>
      </tr>
      <tr>
		<td height="150">&nbsp;</td>
	</tr>
</table>
<?php 
	ob_implicit_flush(0);
	$tbl = ob_get_clean();
	//exit($tbl);
	return $tbl;
} 

function siguientePeriodo($periodo){
	$a_periodo = explode('-',$periodo);
	$anio = $a_periodo[0];
	$mes = $a_periodo[1];
	if($mes == 12){
		$anios = $anio + 1;	
		$mess = 1;
	}else{
		$anios = $anio;	
		$mess = $mes + 1;
	}
	$periodos = $anios."-".str_pad($mess,"2", "0", STR_PAD_LEFT);
	return $periodos;
}